Remove user from store access list
DELETE
/domains/{domainID}/users/{userID}/storeAccess/{username}
const url = 'https://example.com/api/v1/domains/1/users/1/storeAccess/example';const options = {method: 'DELETE', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/api/v1/domains/1/users/1/storeAccess/example \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”userID
required
integer
ID of the user
domainID
required
integer
ID of the domain
username
required
string
E-mail address of the user
Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Responses
Section titled “Responses”User removed
Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}